DKBSignDocs

API reference

POSTRequires Bearer token

Create a workflow signature appearance

/api/users/config/signature/create

Submit /api/users/config/signature/create. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

Send as multipart/form-data.

FieldTypeDescription
type
Required
stringtext, draw, or image.
e.g. "image"
image
Required
stringjpg/svg/png, max 2048 KB.
e.g. "example"

Responses

StatusMeaning
201Signature stored
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/users/config/signature/create' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Accept: application/json' \
  -F 'type=image' \
  -F 'image=example'

Response 201

json
{
  "message": "Enregistrement effectué",
  "signature": {
    "id": 2,
    "type": "image"
  }
}